Get an advance
curl --request GET \
--url https://api.nextlevelmca.com/v1/advances/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nextlevelmca.com/v1/advances/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nextlevelmca.com/v1/advances/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"deal_id": "<string>",
"business_id": "<string>",
"business_name": "<string>",
"lender_id": "<string>",
"lender_name": "<string>",
"offer_id": "<string>",
"status": "on-track",
"funded_amount": 123,
"factor_rate": 123,
"term": 123,
"payment_frequency": "daily",
"payment_amount": 123,
"payback_amount": 123,
"paid_amount": 123,
"paid_amount_source": "recorded",
"remaining_balance": 123,
"percent_paid": 123,
"payments_made": 123,
"payments_expected": 123,
"position": 123,
"renewal_ready": true,
"renewal_threshold": 123,
"renewal_threshold_override": 123,
"funded_at": "<string>",
"first_payment_date": "<string>",
"expected_payoff_date": "<string>",
"actual_payoff_date": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
},
"meta": {}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}Advances
Get an advance
A single advance with balances, paid-in percentage and renewal readiness.
GET
/
v1
/
advances
/
{id}
Get an advance
curl --request GET \
--url https://api.nextlevelmca.com/v1/advances/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nextlevelmca.com/v1/advances/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nextlevelmca.com/v1/advances/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"deal_id": "<string>",
"business_id": "<string>",
"business_name": "<string>",
"lender_id": "<string>",
"lender_name": "<string>",
"offer_id": "<string>",
"status": "on-track",
"funded_amount": 123,
"factor_rate": 123,
"term": 123,
"payment_frequency": "daily",
"payment_amount": 123,
"payback_amount": 123,
"paid_amount": 123,
"paid_amount_source": "recorded",
"remaining_balance": 123,
"percent_paid": 123,
"payments_made": 123,
"payments_expected": 123,
"position": 123,
"renewal_ready": true,
"renewal_threshold": 123,
"renewal_threshold_override": 123,
"funded_at": "<string>",
"first_payment_date": "<string>",
"expected_payoff_date": "<string>",
"actual_payoff_date": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
},
"meta": {}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}Was this page helpful?